using System;

namespace zadatak1
{
	class Program
	{
		public static void Main(string[] args)
		{
			int t;
			t=int.Parse(Console.ReadLine());
			int[] n=new int[t];
			int[] m=new int[t];
			for(int i=0;i<t;i++)
			{
				string[] s=Console.ReadLine().Split();
				n[i]=int.Parse(s[0]);
				m[i]=int.Parse(s[1]);
			}
			
			for(int k=0;k<t;k++)
			{
				if(n[k]!=m[k])
					Console.WriteLine(-1);
				else
				{
					int[][] nm=new int[n[k]][];
					
					for(int i=0;i<n[k];i++)
					{
						int b=(m[k])-(i+1);
						for(int j=0;j<m[k];j++)
						{
							
							if(b>0)
							{
								Console.Write(0+" ");
								b--;
							}
							else
							{
								Console.Write(1+" ");
							}
						}
						Console.WriteLine();
					}
					
				}
			}
			
		}
	}
}